Subject: Re: [PATCH] Add '-P' as a synonym for '--no-pager' in the git command

From: Matthieu Moy <[email-masked]>
Date: Fri, 16 Dec 2011 10:30:09 +0100

Joe Ratterman <[email-masked]> writes:

>   Also, add both -P|--no-pager to the existing -p|--paginate in bash
>   completion.

A good commit message should always answer the question "why?". In this
case, I really don't see why this is needed. If you don't like Git's
auto-paginate feature, turn it off with core.pager or pager.<cmd>. If
you like it, you very rarely need --no-pager (IIRC, I'm the one who
introduced --no-pager, and I don't think I've ever used it outside a
script).

So, I'd rather keep -P free in case we need it later for something
really useful (or possibly a better commit message).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/